Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737229 - [abrt] gnome-photos: photos_base_item_load_load_buffer(): gnome-photos killed by SIGSEGV
Summary: [abrt] gnome-photos: photos_base_item_load_load_buffer(): gnome-photos killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-photos
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:636d6b84c32d40be23e89ef0218...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-04 08:27 UTC by Thomas Citharel
Modified: 2020-05-26 16:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:28:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (52.23 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: cgroup (493 bytes, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: core_backtrace (18.58 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: cpuinfo (1.99 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: dso_list (25.10 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: environ (1.65 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: exploitable (112 bytes, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: limits (1.29 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: maps (154.79 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: mountinfo (4.08 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: open_fds (3.05 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-08-04 08:27 UTC, Thomas Citharel
no flags Details

Description Thomas Citharel 2019-08-04 08:27:23 UTC
Description of problem:
Opening Gnome Photos while some photos are still being loaded (through Nextcloud).
Click on the first picture which is a RAW file.

Version-Release number of selected component:
gnome-photos-3.32.0-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-photos --gapplication-service
crash_function: photos_base_item_load_load_buffer
executable:     /usr/bin/gnome-photos
journald_cursor: s=1dcd181e3fa444d89cc89f861db4220d;i=c6a3;b=e8595d9a5b8e45c998b1584bae50d559;m=2e86a647;t=58f45dd0114ab;x=52febc18aeea1790
kernel:         5.1.20-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 photos_base_item_load_load_buffer at ../src/photos-base-item.c:1754
 #1 g_task_return_now at ../gio/gtask.c:1209
 #2 complete_in_idle_cb at ../gio/gtask.c:1223
 #7 g_main_context_iteration at ../glib/gmain.c:3988
 #8 g_application_run at ../gio/gapplication.c:2516

Potential duplicate: bug 1655327

Comment 1 Thomas Citharel 2019-08-04 08:27:26 UTC
Created attachment 1600318 [details]
File: backtrace

Comment 2 Thomas Citharel 2019-08-04 08:27:27 UTC
Created attachment 1600319 [details]
File: cgroup

Comment 3 Thomas Citharel 2019-08-04 08:27:29 UTC
Created attachment 1600320 [details]
File: core_backtrace

Comment 4 Thomas Citharel 2019-08-04 08:27:31 UTC
Created attachment 1600321 [details]
File: cpuinfo

Comment 5 Thomas Citharel 2019-08-04 08:27:33 UTC
Created attachment 1600322 [details]
File: dso_list

Comment 6 Thomas Citharel 2019-08-04 08:27:34 UTC
Created attachment 1600323 [details]
File: environ

Comment 7 Thomas Citharel 2019-08-04 08:27:35 UTC
Created attachment 1600324 [details]
File: exploitable

Comment 8 Thomas Citharel 2019-08-04 08:27:37 UTC
Created attachment 1600325 [details]
File: limits

Comment 9 Thomas Citharel 2019-08-04 08:27:40 UTC
Created attachment 1600326 [details]
File: maps

Comment 10 Thomas Citharel 2019-08-04 08:27:42 UTC
Created attachment 1600327 [details]
File: mountinfo

Comment 11 Thomas Citharel 2019-08-04 08:27:43 UTC
Created attachment 1600328 [details]
File: open_fds

Comment 12 Thomas Citharel 2019-08-04 08:27:44 UTC
Created attachment 1600329 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2020-04-30 21:24:35 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2020-05-26 16:28:52 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.